kotlin编译器问题未解决的类

Kotlin编译器为未解决的类提供了一些令人困惑的错误消息。 一个开发人员的项目编译,而其他开发人员不。 他们有相同的代码。 这是错误…

[ERROR] Supertypes of the following classes cannot be resolved. Please make sure you have the required dependencies in the classpath: class java.lang.AutoClosable, unresolved supertypes: Object class com.mycompany.ProviderObjIdentity, unresolved supertypes: Object 

我不知道从哪里开始调试这个问题。 这些项目的代码没有任何区别,但是我想这两个开发人员使用的是不同的JDK。 也许不同版本的maven。 绝对不同的linux风格。

我很乐意提供任何额外的信息,我只是不知道会有什么帮助。

这个开发人员的设置被破坏:

Kotlin:1.0.4 sles SUSE Linux Enterprise Server 11(x86_64)Linux 3.0.76-0.11-default

mvn -version

  Apache Maven 3.0.5 (r01de14724cdef164cd33c7c8c2fe155faf9602da; 2013-02-19 06:51:28-0700) Maven home: /home/devguy1/apache-maven-3.0.5 Java version: 1.7.0, vendor: IBM Corporation Java home: /usr/lib64/jvm/java-1.7.0-ibm-1.7.0/jre Default locale: en_US, platform encoding: UTF-8 OS name: "linux", version: "3.0.76-0.11-default", arch: "amd64", family: "unix" 

One Solution collect form web for “kotlin编译器问题未解决的类”

在JB问题跟踪器中,Kotlin的问题与IBM J9 JVM实现报告为KT-14437相似 。 修复工作正在进行中,很可能会包含在即将发布的Kotlin版本中。 同时,您可能需要使用Oracle JDK作为解决方法。

Kotlin language will be the best programming language for Android.